stages:
  - 🚀deploy
  - 🤖deploy

🎉deploy_say-hello:
  stage: 🚀deploy
  tags:
    - openfaas
  environment:
    name: production/say-hello
    url:  $OPENFAAS_URL/function/say-hello
  only:
    refs:
      - master
    changes:
      - say-hello/**/*
  script: |
    faas-cli up -f ./say-hello.yml

🎉deploy_say-yo:
  stage: 🚀deploy
  tags:
    - openfaas
  environment:
    name: production/say-yo
    url:  $OPENFAAS_URL/function/say-yo
  only:
    refs:
      - master
    changes:
      - say-yo/**/*
 
  script: |
    faas-cli up -f ./say-yo.yml

🎉deploy_web-app:
  stage: 🤖deploy
  tags:
    - openfaas
  environment:
    name: production/web-app
    url:  $OPENFAAS_URL/function/web-app
  only:
    refs:
      - master
    changes:
      - web-app/**/*

  script: |
    faas-cli up -f ./web-app.yml

